# Class VulkanPipelineLayoutCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanPipelineLayoutCreateInfo.Builder

Enclosing class:
  `VulkanPipelineLayoutCreateInfo`

public static final class VulkanPipelineLayoutCreateInfo.Builder extends Object
Builds instances of type `VulkanPipelineLayoutCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanPipelineLayoutCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `addAllPushConstantRanges(Iterable<? extends VulkanPushConstantRange> elements)`
  Adds elements to `pushConstantRanges` list.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `addAllSetLayouts(Iterable<? extends VulkanDescriptorSetLayoutType> elements)`
  Adds elements to `setLayouts` list.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `addFlags(VulkanPipelineLayoutCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `addFlags(VulkanPipelineLayoutCreateFlag... elements)`
  Adds elements to `flags` set.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `addPushConstantRanges(VulkanPushConstantRange element)`
  Adds one element to `pushConstantRanges` list.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `addPushConstantRanges(VulkanPushConstantRange... elements)`
  Adds elements to `pushConstantRanges` list.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `addSetLayouts(VulkanDescriptorSetLayoutType element)`
  Adds one element to `setLayouts` list.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `addSetLayouts(VulkanDescriptorSetLayoutType... elements)`
  Adds elements to `setLayouts` list.
  `VulkanPipelineLayoutCreateInfo`
  `build()`
  Builds a new `VulkanPipelineLayoutCreateInfo`.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `from(VulkanPipelineLayoutCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanPipelineLayoutCreateInfoType` instance.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `setFlags(Iterable<VulkanPipelineLayoutCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `setPushConstantRanges(Iterable<? extends VulkanPushConstantRange> elements)`
  Sets or replaces all elements for `pushConstantRanges` list.
  `final VulkanPipelineLayoutCreateInfo.Builder`
  `setSetLayouts(Iterable<? extends VulkanDescriptorSetLayoutType> elements)`
  Sets or replaces all elements for `setLayouts` list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanPipelineLayoutCreateInfo.Builder from(VulkanPipelineLayoutCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanPipelineLayoutCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineLayoutCreateInfo.Builder addFlags(VulkanPipelineLayoutCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineLayoutCreateInfo.Builder addFlags(VulkanPipelineLayoutCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanPipelineLayoutCreateInfo.Builder setFlags(Iterable<VulkanPipelineLayoutCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanPipelineLayoutCreateInfo.Builder addAllFlags(Iterable<VulkanPipelineLayoutCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addSetLayouts

    public final VulkanPipelineLayoutCreateInfo.Builder addSetLayouts(VulkanDescriptorSetLayoutType element)
    Adds one element to `setLayouts` list.
    Parameters:
      `element` - A setLayouts element
    Returns:
      `this` builder for use in a chained invocation

  - ### addSetLayouts

    public final VulkanPipelineLayoutCreateInfo.Builder addSetLayouts(VulkanDescriptorSetLayoutType... elements)
    Adds elements to `setLayouts` list.
    Parameters:
      `elements` - An array of setLayouts elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setSetLayouts

    public final VulkanPipelineLayoutCreateInfo.Builder setSetLayouts(Iterable<? extends VulkanDescriptorSetLayoutType> elements)
    Sets or replaces all elements for `setLayouts` list.
    Parameters:
      `elements` - An iterable of setLayouts elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllSetLayouts

    public final VulkanPipelineLayoutCreateInfo.Builder addAllSetLayouts(Iterable<? extends VulkanDescriptorSetLayoutType> elements)
    Adds elements to `setLayouts` list.
    Parameters:
      `elements` - An iterable of setLayouts elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addPushConstantRanges

    public final VulkanPipelineLayoutCreateInfo.Builder addPushConstantRanges(VulkanPushConstantRange element)
    Adds one element to `pushConstantRanges` list.
    Parameters:
      `element` - A pushConstantRanges element
    Returns:
      `this` builder for use in a chained invocation

  - ### addPushConstantRanges

    public final VulkanPipelineLayoutCreateInfo.Builder addPushConstantRanges(VulkanPushConstantRange... elements)
    Adds elements to `pushConstantRanges` list.
    Parameters:
      `elements` - An array of pushConstantRanges elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setPushConstantRanges

    public final VulkanPipelineLayoutCreateInfo.Builder setPushConstantRanges(Iterable<? extends VulkanPushConstantRange> elements)
    Sets or replaces all elements for `pushConstantRanges` list.
    Parameters:
      `elements` - An iterable of pushConstantRanges elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllPushConstantRanges

    public final VulkanPipelineLayoutCreateInfo.Builder addAllPushConstantRanges(Iterable<? extends VulkanPushConstantRange> elements)
    Adds elements to `pushConstantRanges` list.
    Parameters:
      `elements` - An iterable of pushConstantRanges elements
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanPipelineLayoutCreateInfo build()
    Builds a new `VulkanPipelineLayoutCreateInfo`.
    Returns:
      An immutable instance of VulkanPipelineLayoutCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing